Get list of possible project file tree templates matching a file path and data ids corresponding to template tokens.
POST
/data/entities/guess_from_path
curl
curl -X POST "http://api.example.com/data/entities/guess_from_path" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"file_path": "/project/asset/working/main_v001.blend",
"sep": "/"
}'
import requests
url = "http://api.example.com/data/entities/guess_from_path"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"file_path": "/project/asset/working/main_v001.blend",
"sep": "/"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/entities/guess_from_path' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"project_id":"a24a6ea4-ce75-4665-a070-57453082c25","file_path":"/project/asset/working/main_v001.blend","sep":"/"}'
Request examples
{
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"file_path": "/project/asset/working/main_v001.blend",
"sep": "/"
}
Response examples (200)
{
"matches": [
{
"template": "default",
"confidence": 0.95,
"data": {
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
}
]
}